org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPReferenceType

All Superinterfaces:
  Cloneable, IType

    public interface ICPPReferenceType
    extends IType

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IType

`EMPTY_TYPE_ARRAY, TYPE_MATCHER`

### Method Summary

All Methods Instance Methods Abstract Methods
`IType` `getType()` Returns the type that this is a reference of.
`boolean` `isRValueReference()` Returns whether this is an rvalue reference (e.g: int&&)

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IType

`clone, isSameType`

### Method Detail

#### getType

    IType getType()

Returns the type that this is a reference of.

#### isRValueReference

    boolean isRValueReference()

Returns whether this is an rvalue reference (e.g: int&&)

Since:
  5.2